Loading...
Searching...
No Matches
Opm::VoigtArray< Scalar > Class Template Reference
Inheritance diagram for Opm::VoigtArray< Scalar >:

## Public Member Functions

| VoigtArray (const std::size_t size)
void | resize (const std::size_t size)
Scalar | operator() (const VoigtIndex idx, const std::size_t i) const
Scalar & | operator() (const VoigtIndex idx, const std::size_t i)
void | assign (const std::size_t i, const VoigtContainer< Scalar > &array)
Public Member Functions inherited from Opm::VoigtContainer< std::vector< Scalar > >
const std::vector< Scalar > & | operator[] (const VoigtIndex idx) const
constexpr std::size_t | size () const

## Additional Inherited Members

Static Public Attributes inherited from Opm::VoigtContainer< std::vector< Scalar > >
static constexpr auto | indices
static constexpr auto | unique_indices
static constexpr auto | diag_indices
Protected Attributes inherited from Opm::VoigtContainer< std::vector< Scalar > >
std::array< std::vector< Scalar >, 6 > | data_

The documentation for this class was generated from the following files:

- opm/common/utility/VoigtArray.hpp
- opm/common/utility/VoigtArray.cpp